Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class FlaggedTourAgentSelector

    java.lang.Object
      org.ascape.model.engine.TourAgentSelector
          org.ascape.model.engine.PartialTourAgentSelector
              org.ascape.model.engine.FlaggedTourAgentSelector

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AgentSelector, Selector

    public class FlaggedTourAgentSelector

extends PartialTourAgentSelector

The Class FlaggedTourAgentSelector.

See Also:
  Serialized Form

Constructor Summary
`FlaggedTourAgentSelector(IncrementalExecutionStrategy strategy, int iterationCount)` Instantiates a new flagged tour agent selector.

Method Summary
`boolean` | `hasMoreAgents()` Checks for more agents.
`boolean` | `hasMorePartialAgents()` Checks for more partial agents.

Methods inherited from class org.ascape.model.engine.PartialTourAgentSelector
`nextAgent, reset`

Methods inherited from class org.ascape.model.engine.TourAgentSelector
`clone, getStrategy, setStrategy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlaggedTourAgentSelector

    public FlaggedTourAgentSelector(IncrementalExecutionStrategy strategy,
                                    int iterationCount)

  Instantiates a new flagged tour agent selector.

  Parameters:
    `strategy` - the strategy
    `iterationCount` - the iteration count

Method Detail

### hasMoreAgents

    public boolean hasMoreAgents()

  Description copied from interface: `AgentSelector`
  Checks for more agents.

  Specified by:
    `hasMoreAgents` in interface `AgentSelector`
  Overrides:
    `hasMoreAgents` in class `PartialTourAgentSelector`
  Returns:
    true, if successful

### hasMorePartialAgents

    public boolean hasMorePartialAgents()

  Checks for more partial agents.

  Returns:
    true, if successful

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD